NFS service is failing to run



  • Ubuntu 16.04 - FOG 1.5.7

    Output of journal:

    Aug 01 16:07:13 fog-server systemd[1]: Mounting RPC Pipe File System...
    -- Subject: Unit run-rpc_pipefs.mount has begun start-up
    -- Defined-By: systemd
    -- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
    --
    -- Unit run-rpc_pipefs.mount has begun starting up.
    Aug 01 16:07:13 fog-server systemd[1]: Stopped NFS server and services.
    -- Subject: Unit nfs-server.service has finished shutting down
    -- Defined-By: systemd
    -- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
    --
    -- Unit nfs-server.service has finished shutting down.
    Aug 01 16:07:13 fog-server systemd[1]: Mounting NFSD configuration filesystem...
    -- Subject: Unit proc-fs-nfsd.mount has begun start-up
    -- Defined-By: systemd
    -- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
    --
    -- Unit proc-fs-nfsd.mount has begun starting up.
    Aug 01 16:07:13 fog-server mount[3235]: mount: unknown filesystem type 'rpc_pipefs'
    Aug 01 16:07:13 fog-server mount[3236]: mount: unknown filesystem type 'nfsd'
    Aug 01 16:07:13 fog-server systemd[1]: run-rpc_pipefs.mount: Mount process exited, code=exited status=32
    Aug 01 16:07:13 fog-server systemd[1]: Failed to mount RPC Pipe File System.
    -- Subject: Unit run-rpc_pipefs.mount has failed
    -- Defined-By: systemd
    -- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
    --
    -- Unit run-rpc_pipefs.mount has failed.
    --
    -- The result is failed.
    Aug 01 16:07:13 fog-server systemd[1]: Dependency failed for RPC security service for NFS server.
    -- Subject: Unit rpc-svcgssd.service has failed
    -- Defined-By: systemd
    -- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
    --
    -- Unit rpc-svcgssd.service has failed.
    
    

    Not sure what is going on.

    Tried to re-run installer and getting:

    
     * Installing package: apache2.................................OK
     * Skipping package:   bc......................................(Already Installed)
     * Installing package: build-essential.........................OK
     * Skipping package:   cpp.....................................(Already Installed)
     * Skipping package:   curl....................................(Already Installed)
     * Skipping package:   g++.....................................(Already Installed)
     * Skipping package:   gawk....................................(Already Installed)
     * Skipping package:   gcc.....................................(Already Installed)
     * Installing package: genisoimage.............................OK
     * Skipping package:   gzip....................................(Already Installed)
     * Installing package: htmldoc.................................OK
     * Installing package: isolinux................................OK
     * Installing package: lftp....................................OK
     * Installing package: libapache2-mod-php7.2...................OK
     * Skipping package:   libc6...................................(Already Installed)
     * Skipping package:   libcurl4................................(Already Installed)
     * Installing package: liblzma-dev.............................OK
     * Installing package: m4......................................Failed! (Will try later)
     * Installing package: mariadb-client..........................Failed! (Will try later)
     * Installing package: mariadb-server..........................Failed! (Will try later)
     * Skipping package:   net-tools...............................(Already Installed)
     * Installing package: nfs-kernel-server.......................Failed! (Will try later)
     * Skipping package:   openssh-server..........................(Already Installed)
     * Installing package: php7.2..................................Failed! (Will try later)
     * Installing package: php7.2-bcmath...........................Failed! (Will try later)
     * Skipping package:   php7.2-cli..............................(Already Installed)
     * Installing package: php7.2-curl.............................Failed! (Will try later)
     * Installing package: php7.2-fpm..............................Failed! (Will try later)
     * Installing package: php7.2-gd...............................Failed! (Will try later)
     * Skipping package:   php7.2-json.............................(Already Installed)
     * Installing package: php7.2-ldap.............................Failed! (Will try later)
     * Installing package: php7.2-mbstring.........................Failed! (Will try later)
     * Installing package: php7.2-mysql............................Failed! (Will try later)
     * Installing package: php7.2-mysql............................Failed! (Will try later)
     * Installing package: php-gettext.............................Failed! (Will try later)
     * Skipping package: sysv-rc-conf..............................(Does not exist)
     * Skipping package:   tar.....................................(Already Installed)
     * Installing package: tftpd-hpa...............................Failed! (Will try later)
     * Installing package: tftp-hpa................................Failed! (Will try later)
     * Installing package: unzip...................................Failed! (Will try later)
     * Installing package: vsftpd..................................Failed! (Will try later)
     * Skipping package:   wget....................................(Already Installed)
     * Installing package: xinetd..................................Failed! (Will try later)
     * Skipping package:   zlib1g..................................(Already Installed)
     * Updating packages as needed.................................OK
     * Installing now everything is updated........................Failed!
    

  • Developer

    @quinniedid Sad to hear that you had a lot of work and trouble with this but sometimes it’s just good to redo the whole lot to get rid of old issues. Hope you have moved forward from Ubuntu 16.04 as well! :-)



  • @Sebastian-Roth

    So far I think my Linux host has corruption after an update it fails to boot. I have to go back and select the old Linux kernel just to boot.

    I am now in the process of rebuilding fog. I have imported my database back and have changed IPs, hostnames and password based on the wiki.

    I am now running 1.5.7.2 and now so far so good after lots and lots of troubleshooting.


  • Developer

    @quinniedid said in NFS service is failing to run:

    mount: unknown filesystem type 'rpc_pipefs

    Found this here: https://bugs.archlinux.org/task/49261

    Sounds to me like you had updated the kernel without rebooting.

    So, did you do a apt-get update && apt-get upgrade and a reboot if needed before running the 1.5.7 installer? This is usually a good idea because the installer scripts will do this in the background anyway and take much longer if there are updates to do and some of those might need user interaction which the FOG installer is not doing.

    Beside that I highly recommend you to use the current dev-branch (1.5.7.2) instead of 1.5.7 because we found an issue in the latest stable version which is fixed in the dev version already. See information here: https://forums.fogproject.org/topic/13566/lost-images


Log in to reply
 

345
Online

6.1k
Users

13.4k
Topics

126.4k
Posts